Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nortel.soa.oi.cct.types
Class ServiceProviderStatusListenerSet

    java.lang.Object
      com.nortel.soa.oi.cct.types.ServiceProviderStatusListenerSet

All Implemented Interfaces:
  ProviderEntitySet, WildcardEntity

    public class ServiceProviderStatusListenerSet

extends java.lang.Object
implements ProviderEntitySet

Constructor Summary
`ServiceProviderStatusListenerSet()`

Method Summary
`boolean` | `add(Provider entity)`
`boolean` | `contains(Provider entity)`
`java.util.HashSet<Provider>` | `getEntitySet()`
`boolean` | `isEntityWildcard()`
`java.util.Iterator<Provider>` | `iterator()`
`void` | `setEntityWildcard(boolean wildcard)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceProviderStatusListenerSet

    public ServiceProviderStatusListenerSet()

Method Detail

### contains

    public boolean contains(Provider entity)

  Specified by:
    `contains` in interface `ProviderEntitySet`

### add

    public boolean add(Provider entity)

  Specified by:
    `add` in interface `ProviderEntitySet`

### getEntitySet

    public java.util.HashSet<Provider> getEntitySet()

  Specified by:
    `getEntitySet` in interface `ProviderEntitySet`

### iterator

    public java.util.Iterator<Provider> iterator()

  Specified by:
    `iterator` in interface `ProviderEntitySet`

### isEntityWildcard

    public boolean isEntityWildcard()

  Specified by:
    `isEntityWildcard` in interface `WildcardEntity`

### setEntityWildcard

    public void setEntityWildcard(boolean wildcard)

  Specified by:
    `setEntityWildcard` in interface `WildcardEntity`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 All Rights Reserved.